UpdateTargetDomain
Updates the verification method for a target domain.
Request Syntax
POST /UpdateTargetDomain HTTP/1.1
Content-type: application/json
{
"targetDomainId": "string",
"verificationMethod": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- targetDomainId
-
The unique identifier of the target domain to update.
Type: String
Required: Yes
- verificationMethod
-
The updated verification method for the target domain.
Type: String
Valid Values:
DNS_TXT | HTTP_ROUTERequired: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": "string",
"domainName": "string",
"targetDomainId": "string",
"verificationDetails": {
"dnsTxt": {
"dnsRecordName": "string",
"dnsRecordType": "string",
"token": "string"
},
"httpRoute": {
"routePath": "string",
"token": "string"
},
"method": "string"
},
"verificationStatus": "string",
"verifiedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The date and time the target domain was created, in UTC format.
Type: Timestamp
- domainName
-
The domain name of the target domain.
Type: String
- targetDomainId
-
The unique identifier of the target domain.
Type: String
- verificationDetails
-
The updated verification details for the target domain.
Type: VerificationDetails object
- verificationStatus
-
The current verification status of the target domain.
Type: String
Valid Values:
PENDING | VERIFIED | FAILED | UNREACHABLE - verifiedAt
-
The date and time the target domain was verified, in UTC format.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: